bidUsuallyChosen
Requires permission biddesk:bid:read.
Per question of a configuration model, what comparable past configurations answered: the customer's segment first, the whole assembly when the segment has too little history. Counts only bids the caller may see and imported history. Requires the engineered configurator. Requires Bid Desk and permission to read bids.
Errors: a failed call returns a GraphQL errors entry, not a field on the result, and data may be null or partial. Read the entry's extensions.code and message; every shape and code is in the Error reference.
Example:
- GraphQL
- cURL
query BidUsuallyChosen($bidId: ID!, $modelVersionId: ID!) {
bidUsuallyChosen(bidId: $bidId, modelVersionId: $modelVersionId) {
high
low
parameterKey
scope
support
choices {
count
shareBp
value
}
}
}
curl -X POST "https://<api-host>/graphql" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--data @- <<'EOF'
{
"query": "query BidUsuallyChosen($bidId: ID!, $modelVersionId: ID!) {\n bidUsuallyChosen(bidId: $bidId, modelVersionId: $modelVersionId) {\n high\n low\n parameterKey\n scope\n support\n choices {\n count\n shareBp\n value\n }\n }\n}",
"variables": {
"bidId": "id",
"modelVersionId": "id"
}
}
EOF
Variables:
{
"bidId": "id",
"modelVersionId": "id"
}
Response:
{
"data": {
"bidUsuallyChosen": [
{
"high": "string",
"low": "string",
"parameterKey": "string",
"scope": "ASSEMBLY",
"support": 0,
"choices": [
{
"count": 0,
"shareBp": 0,
"value": "string"
}
]
}
]
}
}
bidUsuallyChosen(
bidId: ID!
modelVersionId: ID!
): [BidUsuallyChosenAnswer!]!
Arguments
bidUsuallyChosen.bidId ● ID! non-null scalar
The bid.
bidUsuallyChosen.modelVersionId ● ID! non-null scalar
The configuration model version being answered.
Type
BidUsuallyChosenAnswer object
What comparable past configurations answered to one question: the usual choices, or the usual range for a number. Carries no amount.